-*- change-log -*-
	Started on CPAN with B-C-1.04_12
	The Perl compiler was in CORE from alpha4 until Perl 5.9.4
	and worked quite fine with Perl 5.6 and 5.8.

1.57 2019-05-07 rurban
        * Makefile.PL: fix wrong t/modules.pm dependency

1.56 2019-05-06 rurban
        * CC 1.16_03: Fixup illegal goto lab_0; (#425)
        * C: Support -cross=<path/config.sh> (#428),
        improved -m modul support compiling to a shared lib (#340)
          (yet untested and unused),
        add -DPERL_GLOBAL_STRUCT support,
        fix removed _OP_SIBPARENT_FIELDNAME.
        * skip many slow -flto tests on smokers.

1.55_10 2018-11-06 rurban
        * C: Add missing optimize flags, required with -flto
        * tests: honor and set SKIP_SLOW_TESTS, esp.
        for -flto and resulting CI timeouts

1.55_09 2018-10-21 rurban
        * C: Extended mconcat support (aatomic)

1.55_08 2018-03-09 rurban
        * C: fixed REGEXP since 5.27.3, issue 143.
        * fixed t.testc.sh PERL_CORE check

1.55_07 2018-03-09 rurban
        * C: one global dJMPENV target, not multiple
        * CC 1.16_02: one global dJMPENV target, not multiple
        * ByteLoader 0.12: fix bytecode types, xgv_flags, xcv_flag were too small.
          type bs_sv to also include PADNAME, PADLIST, PADNAMELIST as union.

1.55_06 2017-11-24 rurban
        Added OP_MULTICONCAT support

1.55_05 2017-11-12 rurban
        Not yet for 5.26/blead, only cperl-5.26

        Fix hints/522_patched.pl dependency on C.so [cpan #120161]
        Fixed t/sigs.t test TODOs
        Beautified t/c*.t TODO output
        * C: More support up to 5.25.8/v5.27.1c
        PUSHRE replaced by SPLIT, no xpad_cop_seq, PERL_OP_PARENT, SVpbm_VALID
        Improved dl_module_to_sofile without 2nd arg
        Avoid CvNAMED ->GV vivification [cperl #63, toddr]
        Support POK/PVLV REGEXP for v5.27.3/v5.27.2c

1.55 2017-02-10 rurban
        * C: Support 5.24 and 5.24c (ByteLoader and CC got broken with 5.22)
        Handle cperl OP_SIGNATURE,  but not 5.26 signatures with its 3 new ops.
        Fix refcount of cop hints hashes with 5.22-nt (#220)
        Add missing B::FAKEOP::rettype for cperl-5.24, causing SEGV on B::CC
        Fixed shared xpviv with 5.24 on 32bit.
        Fix bytecode.pl call in cperl core.
        Optimize CopFILE_set by caching gv_fetchfile (CPANEL-7887)
        Abstract utf8_heavy loader (CPANEL-5417, CPANEL-6105, #369, #364) fixing
          redefinition warnings, fixing %INC (atoomic)
        Improve NV precision, use %17g (atoomic #373)
        Fix delayed cvref initialization of XS module functions (#376)
        Reset mg_flags without MGf_REFCOUNTED from the source (#390)
        Support uselongdouble LDBL_MIN/LDBL_MAX constants
        Fixed some IsCOW savepvn lengths (#396)
        Optimize mro_isa_changed_in initialization via a new B::HV::Gv_AMG
          idea by bdraco
        * ByteLoader: Fix various compiler warnings.
        Still broken upstream since 5.22
        * CC: PERL_OP_PARENT and 5.6 and 5.22 fixes.
        support utf8 labels.
        5.24 mostly broken still, cperl 5.24c doing fine though.
        * META: fixed the bugtracker and repository

1.54_03 2016-05-09 rurban
        Released with cperl-5.22.2
        * C: Remove hash argument from share_hek, always rehash.
        Work on PERL_DESTRUCT_LEVEL=2 Unbalanced string table refcount issues.
        Fix for CVf_CONST CVs with cperl (constant::import)
        Replace %Lu with %lu/%u
        Fix for shared xpviv with 5.24. This asserts now if unshared.
        * perlcc/cc_harness/TestBC: many more PERL_CORE fixes, to workaround
          broken ExtUtils::Embed::ldopts
        * tests: skip perlcc with -m32 cross and PERL_CORE. Can only work reliable
          on individual CPAN setups, but not with CORE smoking. Blame Configure
        Replace test.pl with TestBC.pm. Blame core harness

1.54 2016-02-26 rurban
        cperl fixes and 5.22 memory improvements. cperl now also supported,
        even included CORE, but ByteLoader still broken.

        * C: Fix defined for RV since 5.20 and ithreads (#354)
        Fix anon functions in INIT block (#352) (atoomic)
          and more const CV fixes.
        Fix C.xs for old non-c99 compilers. i.e. msvc6
        Fix segfault from PVMG (#348) (atoomic), regression added
          for match once
        Fix stack corruption in HV::ENAMES (#351)
        Fix SEGV with empty get_cv(), esp. from non-XS functions (#358)
        Fixed 5.22 padname length limitation of max 60. Also using less memory. (#361)
        New -O2 option -fcow since 5.20 to cow most static strings with ~6%
          memory savings (#361)
        Support cperl5.22.2 with AvSTATIC and AvIsCOW. ~6% less memory. (#361)
        Support cperl5.22.2 with HEK_STATIC. ~6% less memory. (#361)
        cperl fixes for DynaLoader, XSLoader improvements (#363), -O3 destruction.
        * B::C::Flags: renamed to B::C::Config
        * bytecode.pl: support cperl bootstrapping with miniperl in CORE
        * Asmdata (1.04): with cperl in CORE @optype @specialsv_name are defined here
          also. Cannot load B with miniperl.

1.53 2015-12-06 rurban
        added 5.22 support, some cperl optimizations and fixed most remaining 5.14 issues.
        Bytecode broken upstream with 5.22.0

        * Bytecode (1.17): removed lastsib bit for 5.21.2-5.21.10, support only moresib op
        Add ops for padl, padn, padnl, unop_aux and methop needed for 5.22
        ByteLoader was broken upstream with 5.22. You need to build a perl with
        `perlall build --patches-Compiler 5.22.0` or use cperl5.22.2.
        Added a probe, set $B::C::Flags::have_byteloader
        * Disassembler (1.13), Assembler (1.13): support PADNAME and PADNAMELIST for 5.22
        * C: fix B::PMOP::precomp for UTF8 (#333, #338, GH#50)
        Add 5.22 support with a new unop_aux (multideref) section, methop support,
          new support for PADNAME and PADNAMELIST objects.
        Fix upstream B::UNOP_AUX::aux_list bug with threads. Use our own method which
          returns the PADOFFSET, not the SV. (#341)
        Removed B::Section which used base. (toddr)
        Re-add PL_sv_objcount on cperl
        Fixed XSUB CONSTSUB alias (44,45,... PR #228) (atoomic)
          and anonymous CVs for 5.22 (#246, #305)
        Proper utf8 support for gv_fetchpv, gv_stashpv and cv_get,
          cache gv_stashpv calls.
        Fix 5.22 for empty hash keys, share_hek("") (272, GH#249)
        Fixed refcounts for shared hek's, fixing the notorious unshare_hek assertions
          since 5.10 (GH #251, #255). See 1.06: "Had to disable -O1 -fcog (pv_copy_on_grow)
          on 5.10 and higher until I find out how to fool S_unshare_hek_or_pvn. This fixes
          all C -O1 and -O2 tests. Warn about this."
        Fix Inf/NaN support for C (GH#287)
        Fix handling of READONLY hashes in 5.22, i.e. use feature (GH#250)
        Support custom op Devel_Peek_Dump, added with 5.20 (GH#274)
        Defer regex compilation to new init1 for SWASHNEW (GH#273)
        Support unicode labels (upstream B bug) (GH#318)
        Skip unneeded init-time lexwarn checks,
          support optimized cperl PERL_SUPPORT_STATIC_COP (cperl #70)
        Fixed overload stringify broken since 5.18 (GH #219)
          by adding a mro_isa_changed_in() to the overloaded stash.
        Support multiple stash ENAMES, needed since 5.14 (GH #331)
          This fixed many old 5.14 limitations. (Added to our version of B)
        Support %^H, storing the hints_hash (features, pragmas) (GH#220)
          This fixed many old 5.14 limitations.
        Improve MATCH once (m??) handling with reset, find PMOP from
          the Regexp dynamically (GH#252)
        Bump refcounts of dynamic get_cv refs (#293). Fixes Coro in global destruction.
        Skip more XS defined POSIX constants: all that start with 'M' (GH#335, #345)
        One more "Eval-group not allowed at runtime" fix (GH#137, GH#346)
        * CC (1.16_01): Encode unicode labels (GH#318)
        * Stackobj (1.12_01): fix Inf/NaN support for CC (GH#287)
        * t/CORE: versioned the core tests and moved to a external submodule
          perl11/p5-coretests on github. (GH#332)

1.52 2014-09-09 rurban
        * C: Protect against empty SV ptr in SV magic (\0) with $` with 5.20 (#370)
        Save new pmop (?{}) code_list with 5.18 (#372)
	Unset PL_use_safe_putenv as in perlmain, which initializes PL_origalen properly,
	  which fixes setting long a $0 string (#194)
        Force Moose when only Class::MOP is loaded to give the needed path hint to XSLoader,
          when "Assuming xs loaded $stashname".
        * t/test.pl: print @cmd with TEST_VERBOSE

1.51 2014-08-04 rurban
        * C: boot_EV (analog to Coro) SvREADONLY_off its XS symbols (#368)

1.50 2014-07-23 rurban
        * C: fix DBI, special case DBI_MAGIC, call DBI->_install_method to
          re-initialize compile-time internal ima pointers (#359)
        Skip saving %IO::Handle for *STDOUT, which bloated 5.18 (#361)
        Fix XS boot of Class::MOP without Moose, and generalize it to other
          xs-loaded modules, which just call bootstrap Module. (#350, #364)
        Earlier xs_init for Encode similar to attributes (hack, fixes #32 regression)
        Use the system malloc for data being system free'd: cop_warnings,
          PMOP->op_pv, sv_debug_file, needed for certain DEBUGGING options.
          Fixes Attribute::Handler free errors (#362)
        Strip binary BM chunk from comppad names < 5.8.8 (#363)
        Save some CvXSUBANY values, esp. relocate any_ptr if possible:
          POSIX::is*, DBI, List::MoreUtils::*_iterator.
          The any_i32 values are already set in the boot section of the XS.
        Fixed initialization of foreign Encodings (#365),
          fixed initialization of old Encode versions < 2.58 also (#305)
        * CC (1.16): Strip binary BM chunk from comppad names (CC names) < 5.8.8 (#363)
        * perlcc (2.20): Strip wrong version-less -I<site_perl> (#366)
        * Makefile.PL: Install into archlib on 5.8 and 5.6 (#358)

1.49 2014-07-12 rurban
        * C: Changed IO::Socket::SSL warning to recommend >= 1.995.
          1.996 even has some perlcc specific usage documentation (#317)
        Fix PerlIO::scalar XS bootstrap forced by __DATA__ (#360)
          We sometimes missed it

1.48 2014-07-11 rurban
        Fixed C walker and 5.18-5.20 Bytecode.
        This is the major version which cPanel will use for 5.14.4. With the next
        versions we'll start working on -m and buildcc, to split packages into shared libs.
        And use B::CC and/or rperl compiled modules selectively.

        * C: Make revised -fwalkall the default. Fixes missing dumped method-only packages (#348)
        Always save all user-loaded packages. Skip only compiler-loaded packages if
          not used by user code. The compiler loads and dumps now additionally only the
          heavy parts for utf8 and bytes, and utf8 for m///i, and AnyDBM for dbmopen,
          PerlIO::Scalar for __DATA__ handles, and Coro::State::_jit if required, but
          nothing else.
        Fix for missing RTLD_NOLOAD on BSD, needed for run-time remap of compile-time
          XS symbols via dlsym (#351)
        Special-case XS loading of Moose.xs from Class::MOP (#350)
        Better fix for mult. match once by checking OP_MATCH with ONCE flags in C.xs also (#274)
          but there are still some platforms without pmop->op_pmregexp in the C.xs detection runloop
        Add op_lastsib bit for 5.21.2
        Changed IO::Socket::SSL warning as our patch was rejected upstream.
          Need to maintain now a fork cPanel::IO::Socket::SSL to be able to use compiled
          IO::Socket::SSL servers. (#317)
        * Stackobj (1.12): Harmonize RV checks (fixes cc 105 -O1 and -O2)
        * Bytecode (1.16): Replace each %hash with foreach keys in walksymtable also (#307)
        Do not store main_cv->START, empty optree since 5.18
        Add op_lastsib for 5.21.2, but sort still broken with PERL_OP_PARENT
        * Assembler (1.12): error if a PUT method misses an argument
        * perlcc (2.19): -B produces again -H bytecode, runnable without -MByteLoader.
        Fix default output name from a.outexe to a.exe on a windows-based OS.
        * Makefile.PL: fix installation of cc_runtime.h for B::CC

1.47 2014-06-11 rurban
        Fixed Bytecode for 5.18. Fully support 5.18 and 5.20 now.
        Greatly reduce code size for C and esp. CC, by including less unneeded dependencies.

	* C: detect new Encode >2.58 compile-time usage (#305, RT #94221)
        Fix mro maybe::next:: detection (#326)
        Fix %INC cleanup logic. Delete packages from %INC only if they were really not saved,
          and add packages to %INC which were saved and not just marked for saving. (#340)
          Fix lot of skip package logic and consistency parts. Much less packages are now saved
          in general which leads to smaller and faster code.
          Avoid compile-time compiler internal reloads and redefinitions.
        Special-case %warning::Bits on -O3 to not SEGV when changing warnings on run-time loads
          on compile-time saved -fconst-string warnings.
        Add experimental -fwalkall to add all wanted packages recursively with maxdepth 3.
          No tests yet.
        Add time and version on top of C source code. Also for CC.
        Fix lexical subs for threaded perls (#130, #341)
        Add special fixes for Coro: reload Coro jit and SvREADONLY_off some of its XS symbols (#293)
        Fix "Eval-group not allowed at runtime" errors since 5.18 (#137),
          by settting HINT_RE_EVAL for re-eval groups when compiling the QR
        Fix for readonly magic hashes, usually found since 5.20 (#273)
        Fix Can't locate object method "bootstrap_inherit" via package "DynaLoader" (#125)
          again, as the improved walker now strips DynaLoader from simple one-liners like
          'use Clone' and the DynaLoader detection was too late. Do it now earlier.
	* ByteLoader (0.11): fixed filter -H problem with 5.18 (#339)
          Disabling the PerlIO_binmode(PL_RSFP, IoTYPE_RDONLY, O_BINARY, 0); hack for [perl #86186]
          "Changing filters to be textmode, not binary" fixed the Bytecode problems since 5.18
	* perlcc (2.18): Avoid -H for bytecode > 5.18
	New --check option
	* t/asmdata.t: signicant enhancements
        * t/CORE: add mro and re core tests, only mro/isarev.t is unstable, and several re-eval
          tests using variables are skipped and unsupported.

1.46 2014-05-14 rurban
	Added global destruction, improved -O4 and CC, fixed mro, @-, $/ $\, Net::DNS, ...
        Added mro and re core testsuite.

	* C: reset PL_stack_sp on init (was one too far). no effects on code.
	Implement global destruction via sv_clean_objs and my_curse on -O3, resp.
	  prepend static svs PL_sv_arenaroot for sv_clean_objs with a fake sv_list[0].
	  (#197, #208, #254, #280)
	Call DESTROY methods for all our global static SVs (i.e. "global destruction"),
	  fixes #197, #280, #282
	Increment GV->FORM refcounts as they cannot be destructed, analog to CV
	Call PL_exitlist functions with -O3
	Make the lexical cop_warnings pointer dynamic, because on cv_undef (scope exit,
	  assign, exit, die, ...) CvROOT and all its kids are freed, ignoring op_latefreed.
	  The content of the warning is still a static string - and leaks on perl, but
	  we don't care.
	-fwarn-sv is now always set, just not with MSVC on Windows. The warnings are then
	  directly set, not in a tight loop afterwards, because the value is needed for
	  the dynamic init.
        Fixed lexical warnings on 5.8 (pWARN_STD .. pWARN_NONE)
	Improve -O4 by keeping all CvSTART cops
	Keep internal packages if used in the source code, e.g. mro (#300)
	Fix the order of PerlIO_cleanup, after global destruction (#302, #303)
	Since 5.18 padlists are now all dynamic, due to undef issues in non-local exits (#304)
	Add -fno-dyn-padlist to -O4 to keep static padlists on 5.18.
	  Dynamic padlists are needed to prevent from cv_undef crashes on static padlists
	  when cleaning up the stack on non-local exits, like die or exit or subs on the
	  compile stack as with Attribute::Handler (#169, #304). Previously only END block
	  function padlists were dynamic (#298).
	Add run-time remap of compile-time XS symbols via dlsym (#305, RT #94069)
	  Net::DNS includes Encode::XS ascii_encoding, but also init the 3 other encoding ptrs.
          Add a fast path for d_dlopen + i_dlfcn systems (i.e. Windows goes the slow init2 route)
	Detect new Encode-2.58 which stores encodings better to handle proper
          compile-time usage (#305, RT #94221)
	Add special SV associations for $/, $@ and $\ (#306, #256)
	Save @ISA for all included packages, esp. DynaLoader dependencies (#308)
        Replace each %hash with foreach sort keys (#307)
	Set ${^GLOBAL_PHASE} with -O3 for END and DESTRUCT (#197, #208)
	Do not store invalid GvCV symbols, only cv or &sv_list entries (#313)
	Support GvFORM pseudo CVs (B::FM objects) on 5.10 (#149)
	Support local $/ = "somestring" (only used empty values before) (#314),
          A regression from 1.43
	Support local $\ = "somestring" (#318), also a regression from 1.43
	Fix special 5.6. associations for $, $\ as they are no SVs there (#306)
        Fix wrong caching of internal LEXWARN symbols (#322)
        Warn on bad IO::Socket::SSL versions 1.956-1.983 which would SEGV if used as server (#317)
        Support __DATA__ blocks in packages without printing wrong warnings (#310)
	Support ->(maybe|next)::(method|can) mro method calls (#324, #301)
	Support mro c3 (#316)
	Support @- @LAST_MATCH_START, the array of the last submatches (#281, #220, #295)
	Workaround a 5.18 de-optimization which disabled ++PL_sv_objcount on bless
	  by adding it if a DESTROY method exists. This will fail since 5.18 if DESTROY
	  is added at run-time. (#208, #197)
        Add new init0 section to initialize -fppaddr ops before init, not afterwards. (#330)
          Needed to call utf8::SWASHINIT at init with CALLREGCOMP and /i
        Avoid duplicate PL_utf8_tofold ToCf swash initialization with 5.18 (#330)
	* CC (1.15): Skip saving non-existing methods analog to B::C 1.43_06 (CC test 50)
	Fix failing CopFILE_free and CopSTASH_free in END blocks with threads (#296, CC test 48)
	Handle duplicate function names, like multiple END blocks or anon functions (#297)
        Replace each %hash with foreach sort keys (#307)
        * Bytecode (1.15): Replace each %hash with foreach keys (#307)
	* Bblock (1.04): Do not pollute B::CC (find_leaders) with B::Concise

1.45	2014-02-11 rurban
	* t/issue281.t: fix wrong test ($[ vs $])

1.44	2014-02-10 rurban
	added adjusted CORE testsuite for 5.14. passes for 5.14.4-nt, not for 5.18.2-nt
	(cPanel code_monkeys)
	still missing in general are:
	  - global destruction (use lexicals!),
	  - attribute handlers,
	  - compile-time perlio layers

	* C: Fix -O3 with ~ and ~~ formatstrings (#277)
	Fix SvLEN and PV ptr for empty shared hash keys (#272)
	Use the natural @dl_modules boot order, just put attributes to the front (#259)
	Store cop_hints to support lexical numeric hints pragmas,
	  esp. use bytes and use open attributes
	  (fixes #81 #152 #174 #176 #180 #185 #224 #235 #238 #241 #245 #253 #255 #256 #277)
	Skip saving defined(&cv) subs (#96)
	Fix format STDOUT/STDERR (#238, #239, #277, #284, #285, #283)
	Save now empty bodyless subs if they exist, for signal handlers,
	  prototypes declarations and cvrefs (#251, #159, #235, #246, #270, #271, #275, #279)
	Fix PVMG PV overwriting the RV, overload sub (#273)
	* CC (1.14): Skip saving non-existing methods analog to B::C 1.43_06 (CC test 50)
	* perlcc (2.17): Accept -A for -DALLOW_PERL_OPTIONS
	* t/testc.sh: Accept -A for -DALLOW_PERL_OPTIONS

1.43	2014-01-15 rurban
	new 5.16, and partial 5.18, 5.20 and windows support.
	Many more fixes and testcases.
	Bytecode is still broken on 5.18, esp non-threaded. 5.20 looks pretty good though.

	* C: Fix -u<module> without file extension.
	With hek do not drop FAKE, only for const pv.
	Fixed $$ ($PID) to be dynamic, issue 108. Thanks to flexvault for reporting this.
	Fixed double precision to 16 digits. The nbody shootout test passes now.
	Fixed refcounts of *ENV, issue 111.
	Fixed wrong boot_ arg for the xs version check with --staticxs
	Better fix for overwriting of @ARGV <O3, test c_argv:1 and c_allow_opts.t:1
	Fixed refinition warnings of XS CONSTSUB. Ignore them as they are
	  loaded later.
	Add $dlmodule::VERSION as 2nd arg to boot_$dlmodule resp. $dlmodule::bootstrap
	  to get rid of the pesky Invalid version format error in xs_version_bootcheck
	  if the $VERSION had already version magic attached. (no testcase, hard to repro)
	perl 5.16.0 shipped a slightly broken B without cop_stashlen. As workaround
	  we do not support utf8 stashes nor null bytes in stashes on 5.16.0 threaded.
	Fixed Null COP storage for 5.16 and 5.17
	Fix amagic_generation which was removed with 5.17
	Fix ALLOW_PERL_OPTIONS: add -e behind all processed options, not before
	Fixed HvAUX init. Previously only with magic hashes, now on all OOK hashes (OOK+SHAREKEYS)
	  e.g. %warning::Bits
	Added support for new PADLIST type since 5.17.4 (with xpadl_id) and 5.17.6 (without)
	$^X returns now the real executable name, not just perl or perl.exe
	Adjust COW string lengths to hold the COW_REFCNT byte at the end
	Fix unicode string CUR and LEN (#142, #162)
	Fix unicode hashkeys (HEK) mostly (#200), but not yet testc.sh 2001 (compile-time
	  stored utf8 heks)
	Save HvTOTALKEYS at run-time as max added to the number of run-time added keys (#178)
	Fix UV uvuformat on 32bit -Duse64bitint (#145)
	op_pmreplstart is now run-time initialized >= 5.10 (#160)
	Fixed special usage of magic vars @-,@+,%+,$-,$! (#90)
	Fixed wrong REGEXP length for compiled QR data (#143)
	Fixed wrong -O3 comparison of strings to numbers (#138,#141, branch new-cog), unified
	  PV handling, disabled -fcog replaced by -O3 -fconst-strings
	Fixed NUL-byte handling in strings by using B::SV->PV instead of PVX (#237)
	Storing now bareword filehandles (#148,#149)
	Do not create GvGP at all. This also removes the need for newGP() (Windows/AIX)
	use Config does not include B anymore, Internals::V now in __ANON__ package
	Fixed handling of empty - not successfully autoloaded - CVs (#235, #159, ...)
	  by storing the SV and XPVCV but ignoring it and defer to run-time get_cv()
	Unify handling of static and dynamic strings, use ptr_undef throughout instead
	  of NULL vs &PL_sv_undef (save_pv_or_rv => savesym, cur, len, pv, static)
	Restore $^H, the numeric value of global warnings flags (#193,#207,#243)
	Restore more missing globals: ${^UNICODE} ${^UTF8LOCALE} $; $\ $, $/ $" $|
	  $^A $^L $: $^H $^R $% $- $= if set in a BEGIN block or via cmdline (#256,#231)
	Restore even deprecated vars $] $# $* (#171)
	Fix HvAUX memory corruption, accessing HvAUX beyond HE fields, esp. with threaded perls.
	  Initialize now HvAUX backref and mro_meta fields.
	Do not boot internal core XS packages twice, refer to internal XS functions dynamically
	  and do not link to them. Fixes fix Windows/AIX with strict linking.
	Defer dynaloaded GvCV initialization after dl_init()
	Fixed storage of non-special lexical warnings (#258 warnsize-i258)
	Fixed storage of shared heks, support IsCOW_hek (i.e. method names)
	Support new ReANY since 5.17.6 (#258 reg_temp_copy)
	Support stash symtab magic for PMf_ONCE m?? and reset (#188)
	Fixed POSIX overflow constants warnings for DBL_MAX,DBL_MIN,LONG_MIN,LONG_MAX (#262)
	Support user-defined static_ext modules, which are already booted from core.
	Add more DynaLoader::dl_debug output (set PERL_DL_DEBUG=1)
	Enforce -ffold on an ucfirst op or $INC{'unicore/To/Title.pl'} (#242)
	Mark empty but overloaded packages (#172). This is merely workaround for reduced testcases.
	Set PadnamelistMAXNAMED(comppad_name) needed since 5.19.3 for eval string (#268)
	Add new option -fno-delete-pkg to control if to ignore compiler-only dependent packages,
	  compiler-independent packages are now always saved. Save those package names at Makefile.PL
	  in @B::C::Flags::deps.

	* perlcc (2.14): new option --dryrun, -v5 does not -Dsp,-v
	 new option -f passthru to C and CC
	* perlcc (2.15): fixed default --spawn: use waitpid which was broken for parallel builds.
	fixed warning Prototype mismatch: sub main::gettimeofday: none vs () at perlcc line 261
	improved --version
	added --perlopts to handle -DALLOW_PERL_OPTIONS
	* perlcc (2.16): changed output name rules:
	Without given output file name we use the name of the input file (in the subdir)
	or with -e a.out resp. a.exe and a randomized intermediate C filename.
	If the input file is an absolute path on non-windows systems use the basename.
	* CC (1.13): Use the B::C integer and double precision logic (ivx, nvx).
	Fixed double precision to 16 digits. The nbody shootout is now 2x faster than perl.
	Added optimizations: -fno-magic, -fno-autovivify, -faelem
	Detect "no autovivification;" pragma.
	New -fno-taint, -fomit_taint is deprecated
	Fix amagic_generation which was removed with 5.17
	Use new perl6 type names: int, num, str. double and string are deprecated.
	* Bytecode (1.14): fixed require and op_first, issue 97
	Fixed regex_pad offset in threaded perls >= 5.11, issue 68.
	New type B::PAD isa B::AV (PADLIST for 5.17.5),
	New bytecodes newpadlx, padl_name, padl_sym (PADLIST for 5.17.5)
	Fixed CvGV_set causing Attempt to free unreferenced scalar in push_begin (42,43)
	Fixed -Do (peek ops)
	Renamed option -f to -F for files.
	Fixed READONLY magic and restricted hashes, issue 98
	Support IsCOW xpvshared strings (>=5.18)
	Fixed wrong xpvshared logic (5.10-5.17), issue 138
	Optimized away 0=default op and gp flags and pointers
	Optimized away default sv_refcnt=1 (GV not), and skip redundant bytecodes
	Set PadnamelistMAXNAMED(comppad_name) needed since 5.19.3 for eval string (#268)

	* ByteLoader (0.10): set sv_refcnt to 1 in newsv to skip most defaults
	* Assembler (1.11): allow "newpadlx 0"
	* Disassembler (1.12): use B::Concise op_flags and private_flags
	* Stash (1.03): fix compilation for 5.8.8 and below: gv_fetchsv missing
	* t/perldoc.t: perlcc fails with 5.8 because Cwd disturbs the
	  fragile method package finder for File::Spec. Use cc_harness.

1.42	2012-02-01 rurban
	stable up to 5.14

	* C: Improved finding methods in parent classes (Warning: method not found),
	Save @ISA of those child classes.
	Re-implement and simplify my_share_hek, now in terms of share_hek.
	  PL_strtab hack gone. This fixed the shared_hek destruction
	  problems.
	Turn off CvDYNFILE needed since 5.15.4, use static CvFILE. (DateTime)
	* perlcc: perlcc -stash does not hang anymore, renabled t/e_perlcc.t -stash section
	* Stash (1.02): '-xs' does not load B anymore.
	  Now in seperate directory Stash
	* Stash/Stash.xs: new with CvIsXSUB() to get rid of B, polluting the stashes.
	* Stash/Makefile.PL: new
	* Bytecode (1.13): support shared hek (42,43)
	* ByteLoader (0.09), ByteLoader/bytecode.h, bytecode.pl: support shared hek (42,43),
	  added xpvshared
	* t/issue95.t: added, isa methods not found

1.41	2012-01-30 rurban
	* t/modules.t: Fixed syntax error

1.40	2012-01-30 rurban
	static PerlIO Layers (e.g. __DATA__)

	* C: fixed deferred %INC, %INC is now stored and cleaned up at the end.
	Improved __DATA__ handle  as PerlIO layer, PerlIO::scalar now
	  loaded static (test 15).
	Defer eval section after dl_init (e.g. for PerlIO::scalar) (test 15)
	Check for XSLoader now at the very end (test 27)
	Fixed MUTABLE_CV for 5.10.0
	Improved 5.8 method lifting for not-found methods a bit (5.8. perldoc.t)
	* Bytecode: fixed test 22
	  Cannot locate object method "fileno" via package "IO::File"
	* Makefile.PL: readonly $lib fix for MSWin32
	* t/testc.sh: silence ulimit -m warnings + errors

1.39	2012-01-25 rurban
	* C: improved eval AUTOLOAD, avoid some POSIX and Storable .al compile-time
	  side-effects such as creating files and dirs. First try loading
	  .al files, only then eval the dangerous AUTOLOAD.
	* Makefile.PL: typo in -fav-init2 independent_comalloc detection.
	Added LICENSE key, META and the files were not enough to please pause.

1.38	2012-01-24 rurban
	* t/issue93.t: fixed syntax error

1.37	2012-01-24 rurban
	Enabled copy-on-grow strings >= 5.10.
	Save %main:: stashes w/o -fno-stash. Switched to git, added github mirror
	Fixed hashes and share_hek, when mixed compiled and load-time for >5.8.

	Stability: This release is the first which passes almost all tests and
	is used in production with --staticxs -O3, but copy-on-grow hek's and
	further logical improvements (deferred %INC cleanup) fail so far, so it's
	still considered unstable.

	* C: save stashes optionally with -fstash, but only values which are also
	  stashes to avoid a second walker besides savecv, and thus do not
	  walk into unneeded territory; B::STASHGV (46, issue 79)
	New -fno-stash with -O2 to omit stashes which are rarely needed.
	Fixed vulnerability to oCERT-2011-003 style DOS attacks. Do not
	  pre-compute hashes for hv_store(), use fresh random hash seed.
	  But shared_hek() has a limited API which does not allow this.
	UNIVERSAL methods were not correctly stored, which led to method not
	  found at run-time errors.
	New debug option -Dr "runtime" to add debug output to the .c code (as in CC)
	New option -Upackage to skip package, mark_skip()
	Re-implemented sharepvn via share_hek() and SvLEN=0 (issue 71),
	  Special FAKE+READONLY handling: LEN = 0 if pv_copy_on_grow or shared_hek.
	  Fixed !SvIsCOW_shared_hash + FAKE+READONLY conflict (test 13, issue 82).
	  Shared COW hashkeys which are optimized to static const strings
	  may not be marked as IsCOW (remove SVf_FAKE).
	Re-implemented CORE share_hek with hash=0
	  Otherwise shared HEK's (post-5.10) come up with duplicate entries
	  for the same keys; one compile-time created and one run-time created with
	  a different random hash seed. E.g. observed by such warnings
	  "Prototype mismatch: sub bytes::length (_) vs (_)"
	Added Internals::hv_clear_placeholders XS name exception, similar
	  to version:: (issue 83)
	Store CV prototypes, issue 81 and issue 84 for empty () vs NULL prototypes.
	Fixed 5.15.2 hang at hfree_next_entry (issue 78)
	Defer writing of READONLY hash keys since 5.15 (issue 88)
	Enable -fcog copy-on-grow with static strings for >= 5.10
	Improved Errno vs. *main::! and Tie::Hash::NamedCapture vs
	  *main::+  / - logic (issue 90)
	Updated version XS methods, default to noop for (...
	Strip version object overload from XS packages (issue 91), XS needs plain PVs
	Do not initialize CONSTSUB XS methods twice, boot does it for us
	Pass proper cv to XS boot_$name, fixes boot of
	  Tie::Hash::NamedCapture (issue 86)
	Fixed share_hek strings with -O1 (test 13)
	Fixed bootstrapping the XS/core part of attributes,
	  thereby fixed threads tests 41-43.
	Fixed most 5.8.[45] problems by ignoring aelemfast SPECIAL pads.
	Fixed magic -> PTR when SV (>5.6)
	Moved -fsave-sig-hash from -O3 to -O0. You need -fno-save-sig-hash
	  to disable it.
	Removed -fno-stash from -O2, -fno-stash is now the default. You
	  need -fstash to add stashes. It caused not understood problems.
	Fixed saving %SIG signals and more -2 SV magic (issue 92)
	Adjusted IO logic, was erronously skipped (issue 59)
	inc_cleanup: save only those %INC keys which are stored.
	Save ext/mro only if the ext mro methods were loaded, and
	  utf8_heavy.pl similarly.
	Force loading of -u arguments to avoid runtime loading.
	Call boot_core_PerlIO, mro, UNIVERSAL and xsutils.
	Warn on unsavable IO objects from BEGIN blocks.
	  Fixed >&STD... handles (issue 93),
	  i.e. Test::Builder, Test::NoWarnings and parts of the core testing.
	  See http://blogs.perl.org/users/rurban/2012/01/what-to-avoid-in-begin-blocks.html
	Add B::COP::stashflags workaround, >5.15.4 threaded.
	Add fix for lost PL_regex_pad, 5.15 threaded.
	* CC (1.12): allow overriding of -f<opt> B::C flags.
	Skip internal packages with mark_skip (fixes cc_o2 tests).
	Move -ftype-attr from -O2 to -O1.
	Always define int, double and string package versions, parallel to types.
	* Bytecode (1.12): detect Tie::Hash::NamedCapture (issue 90) -
	  works only partially.
	Fixed >&STD... handles (issue 93)
	Support -d debugging without -MOd
	* Stackobj (1.00_03): add UL or L to overlong integers. doubles
	  not yet
	* perlcc (2.13): added options -O[1-4], -u, -U, --Wc, --Wl, --version,
	Keep cfile if output is empty.
	Change -o output C file directory and name with -S or -c:
	  Before in current directory, now in -o directory.
	  Before with input name, now with -o name.
	Add -rpath for all --staticxs libs if supported.
	Changed verbosity levels and output wording.
	* bytecode.pl: added xio_ifp
	* bytecode.h: added BSET_xio_ifp
	* META.yml: remove from MANIFEST and repo, let make dist
	  autogenerate it.
	* t/test.pl, t/TESTS: changed test 46 (Exporter:: and other stashes in
	  %main:: stash) to cover issue 79.
	  use Exporter; print q(ok) if %main::Exporter::
	* t/test.pl: use general comments with optional TODO. Before only TODO
	* t/perldoc.t: fixed for 5.8 with manually adding -uFile::Spec -uIO::Handle
	* t/issue59.t, t/issue81.t, t/issue90.t, t/issue93.t: added

1.36	2011-10-19 rurban
	lexical warnings and more 5.15 fixes
	* C: new B::LEXWARN, fixed representation of lexical warnings which was broken
	  since 8e01d9a6  5.8.9/5.9.4 (issue 76)
	Added section free, use it for lexical cop_warnings (const STRLEN*)
	  (TODO: static PV, HEK + COPs)
	Workaround for utf8::SWASHNEW adjusted to 5.15
	PAD* sv flags changed in 5.15.3
	XSLoader API changed (HEK in caller i.e.): had to add a
	  XSLoader::load_file for [perl #101336] >= 5.15.3,
	  also use mXPUSH for sp instead of 1-arg targ
	Set SvLEN=0 for static PVs to skip sv_clear (problem with 13)
	Handle overlarge negative 64bit ints, double not yet.
	Move -fwarn-sv from -O2 to -O1
	Move -fsave-data from -O3 to -O2
	Compile *main::DATA IO handle automatically (__DATA__), just package __DATA__
	  handles need -fsave-data (15)
	Die with 5.8.4/5.8.5 threaded with split->pushre on invalid
	  pmreplroot. This is a core B::walkoptree bug and can not be
	  easily fixed.
	Tests 15 and 103 do not hang anymore, 15 and 29 pass mostly
	* C.xs: added -Dts support to runloop to check internal compiler
	  problems
	* t/issue76.t: added

1.35	2011-10-02 rurban
	tested from 5.6.2 until 5.15.3
	* C: allow debugging without -MOd=C
	improve package_pv detection for methods, two more tests.
	detect previously missing packages within the main sourcefile
	  (50,35,72,73)
	-O1 now includes also -fav-init2 and -fppaddr, which are all
	  stable. -O2 string handling (-fro-inc) still unstable.
	added B::REGEXP::save for \$qr (Encode::Alias), issue 71. Still
	  not fully fixed. Encode::Alias unusable.
	fixed empty HV assertions since 5.15, new HV default keys = 7
	  (3,4,36), but still unsolved 5.15 problem with endless loop in
	  Perl_hfree_next_entry hv.c:1716 (3,4,36)
	workaround 5.15.2 inability to walk with from %INC deleted
	  stashes, also workaround adding already deleted DynaLoader.
	CORE patch [perl #100138] for new 5.15.2-5.15.3 DynaLoader XS_INTERNAL
	  problem required (16,29,44,45). Fixed with 5.15.4
	  0001-Export-DynaLoader-symbols-from-libperl-again.patch
	use proper PL_envgv for *main::ENV which is inited in perl_parse
	  (fixes e.g. CGI apps using run-time values, not compile-time)
	* CC (1.11): allow debugging without -MOd=CC
	Try to jump from last to unknown label, put labels also onto cxstack.
	Fixed cc_last.t test 4, jump out of anonsub, but not across C
	  functions yet (this is disallowed in C, need to split).
	* C.xs: added B::REGEXP::EXTFLAGS (missing from B).
	* perlcc (2.12): omit also inc_version_list dirs from perlcc as
	  leaving them in could lead to unexpected crashes
	* t/cc_last.t: Fixed test 2. This works compiled and uncompiled,
	  but the returned errcode is not compared. Skip if so.
	* t/TESTS: add all 5 possible method/sub calls to test 35 =>01234.
	  See http://blogs.perl.org/users/rurban/2011/06/how-perl-calls-subs-and-methods.html
	* t/stash.t: fixed 5.8.8 stashes (overload, threads, ...)
	* t/issue71.t: added, but not fixed yet
	* ramblings/*.patches: CORE patches added and recommended in README.
	* ramblings/blogs-debugging-article[1-4].pod: added to MANIFEST.
	* perlcompile.pod, perloptree.pod: improved.
	* ramblings/yapceu_2010.pod: added.

1.34	2011-06-12 rurban
	* Makefile.PL: fixed make install < 5.13.7
	* issue24.t, test.pl, bytecode.t: TODO more failing tests from cpantesters

1.33	2011-06-12 rurban
	* Makefile.PL: fixed make install > 5.13.7
	* test.pl, bytecode.t: TODO more failing tests from cpantesters
	* stash.t: fixed freebsd test 4

1.32	2011-06-10 rurban
	more darwin and package scan fixes, Bytecode -i includeall.
	all top100 modules can be now be compiled on most perls

	* Bytecode.pm (1.11): fixed const xsub xsubany ptr >=5.10 <5.14 (27).
	save_cq => save_begin+save_init_end: moved push_begin upfront for the same
	  init order (44).
	add CVf_CVGV_RC flag (refcount) on CV with no backref magic, e.g. END (48)
	added option -i includeall which adds no BEGIN require ops, but adds
	  all included symbols.
	better BEGIN block @INC manipulation detection (33)
	print newsvx flags if -S or Comment
	print hex IV < 8 as int with -S
	* C.pm (1.32): check PERL_TRACK_MEMPOOL for AV malloc (25).
	fixed init chunk splitting for CV and -fav-init2, if >10000 lines.
	fixed overlarge AvFILL=3 of endav. Undefined subroutine &main:: (48)
	fixed shared GPs on typeglob assignment. do not gp_free shared GPs,
	  just set them once.
	added try_isa before try_autoload. use mro::get_linear_isa instead of @ISA
	mark_package force: detect and fix already discarded packages which
	  are brought back in directly or by someone else's @ISA. (e.g. Sub::Name
	  needs DynaLoader::dl_load_flags)
	improved method_named package search, still not exact though (LWP)
	add manually compiled packages to %INC to avoid a runtime require
	special case Config detection, AUTOLOAD = launcher, included by Dynaloader
	added -Ds to print all sub names
	do not compile any B::C subs, esp. our %SIG handler
	add our own Internals::V as it is not exported by libperl
	inc the REFCNT of stashes (Path::Class)
	* Assembler.pm (1.10): archflag bit 2 for MULTPLICITY
	* Disassembler.pm (1.10): archflag bit 2 for MULTPLICITY
	use longsize resp. ivsize from .plc not from perl
	print newsvx flags
	print hex IV < 8 as int
	* ByteLoader (0.08): support archflag 2 MULTPLICITY,
	[perl #86186] force binary IO for __DATA__ handles, which changed
	  in core with 5.14
	* bytecode.pl: support m for MULTIPLICITY (yet unused)
	* Makefile.PL: move cc_runtime.h installation to make install step
	  (sudo). Tested ok on darwin gcc, does use -I. internally.
	* cc_runtime.h: renamed from cc_runtime514.h
	* cc_harness: fixed darwin coredir
	* perlcc (2.11): fixed darwin coredir.
	omit darwin linking to dynamic .bundle - generate .a via libtool
	* TESTS: removed END block from test 28, only test run-time require (fixed 28)
	added 48 for previous test 28 END block lexvar del_backref failure
	added 49 for m//i blowup and -fno-fold testing
	added 50 empty @ISA issue 64
	* assembler.t: fix for hex->int IV roundtrips

1.31	2011-03-21 rurban
	multiplicity support and more darwin fixes

	* C.pm (1.31): replace $ITHREADS by $MULTI (darwin),
	my_perl_destruct: disable CopFILE_set NULL and CopSTASHPV_set NULL
	on $MULTI, PL_sv_yes|no special on MULTI
	* CC.pm (1.10): replace $ITHREADS by $MULTI (darwin)
	* t/test.pl, issue34.t, issue35.t: -ofile => -o file (darwin cc)
	* cc_harness: -Wl,--warn-once invalid on darwin gcc
	* log.modules: encode MULTI without threads as -m

1.30	2011-03-06 rurban
	dbmopen, cc_runtime.h, perlcc, --staticxs

	* C.pm (1.30): support dbmopen, fixes issue 24.
	fixed xpvmgsect (was xpvsect) !-fcog < 5.10 (YAML, test 41,42,43).
	fixed m//i since 5.13.10: swash_init("utf8::Cased").
	fixed method_common package_pv detection in most cases.
	  still two cases open, without tests. PADOP GV NULL 0x20000, GV RV 0x40802.
	fixed method_named with >= 1 arg, checking for const PV package_pv (test 35)
	support GvCV_set and GvGP_set introduced with 5.13.10. [RT#65630]
	implement -staticxs for perlcc --staticxs
	  either link to found static libs or link to shared lib with
	  fixed LD_LIBRARY_PATH/PATH (nyi in C, just perlcc).
	optimize -fav-init use_av_undef_speedup &PL_sv_undef initialization (again).
	reserved -mPackagename (NYI)
	added verbose(),module() for CC.
	implement outline of -m module, name detection missing.
	added -fno-fold recommended since 5.13.9 to omit the huge utf8 tables.
	added -fno-warnings, recommended since 5.13.5.
	added special workaround for Scalar::Util bootstrapping which did not detect
	  List::Util, since it is not in its ISA, only required. need a better scan.
	  fixes test 44.
	init XS within Od.
	prevent autoloaded STDERR printing on non-debugging perls (e.g. "Storablelogcarp").
	* CC.pm (1.09): support dbmopen, issue 24 failing due to XSLoader (test 45)
	no pp_name shortnames in embed.h since 5.13.9, use Perl_pp_name(aTHX).
	implemented dorassign, fixes issue 45.
	fixed XSLoader detection, moved use_xsloader to save_unused_subs()
	skip duplicate cc(pp_sub_*) functions (freebsd 45)
	added missing END block code (test 28).
	added B::C::verbose on -v
	  fixed B::C::verbose crash by adding B::FAKEOP::fake_ppaddr.
	  fixed compile_stats
	renamed -n module_name to init_name.
	check and set -f options from C also.
	implement outline of -m module, name detection missing.
	added option -fno-name-magic.
	added experimental option -ftype-attr.
	added TYPES pod section.
	added pod for some funcs: load_pad, cc_queue, label.
	option -strict only used with DEBUGGING perls.
	be less chatty with compiling bblocks.
	light layout cleanup of generated code sections.
	added Vishal Bhatia <vishal at deja.com> to AUTHORS.
	* Bytecode.pm (1.10): support dbmopen, fixes issue 24.
	re-added -m, compile as module to .pmc
	store AV elems for non-tied AV->MAGICAL >5.6 (i.e. @ISA, ...) (new test 47).
	-DA: limcheck PV.
	verbosity: added nice1 (condense elements).
	  name SV indices also.
	* Byteloader: support GvCV_set introduced with 5.13.10 [RT#65630]
	* perlcc (2.10): fixed -B -r, -B output and run bytecode.
	implement --staticxs to workaround DynaLoader problems. use it in t/modules.t
	  add sopath to PATH on -r. Without -r the sofile should be symlinked so that the
	  process can find it.
	implement --shared and --static, --shared fails on strawberry due to core problems.
	implemented getopts bundling: -ScO -e'bla' -v4 -oa is now possible.
	disabled some old single-minus switches: -testsuite, -time, -log, ...
	  requires now double-minus --testsuite, --time, --log, ...
	  kept legacy handling only for -Wb=.. and -stash.
	fixed -B -e'oneliner'.
	fixed -B @ARGV, no duplication of @ARGV, c_argv.t 3.
	re-added -m|--sharedlib for Bytecode and C (NYI).
	print C and CC filtered compiler output.
	-v5 adds -v to the compiler options.
	-v6 adds -Dfull to the compiler options.
	support -Wb= for -B.
	fixed -Br for 5.6: add -MByteLoader.
	* Stash (1.01): add option xs to print xs modules with -x prefix.
	usable via -MO=Stash also.
	new option -D for debugging.
	omit PerlIO::Layer.
	added pod
	* Disassembler (1.08): 5.6: fix ldop comments.
	add op_type names, add @svnames, add indices, add ldspecsvx type.
	* Assembler (0.10): print more flags (as hex) and indices.
	better limcheck diagnostics (op,sv,pv).
	* cc_runtime514.h: removed from CORE with 5.13.9. [RT#65628]
	  If so, cp it back. You might need sudo cp. (unchecked)
	  Renamed not to pollute tests with older perls.
	  Expanded PERL_MAGIC_taint 't' for 5.6.
	* C.xs: added experimental method_cv for the hash-only case, untested.
	* t/modules.t: try --staticxs first, try crosscheck without perlcc.
	* t/issue24.t: added.
	* t/issue45.t: fixed and added 3 more tests.
	* t/e_perlcc.t: added to test the new option handling.
	* t/testc.sh, t/TESTS: fixed wrong test 39 for 5.8, added 47, 104 (reset), 105 (type-attr).
	* t/testplc.sh: added 47.
	* t/stash.t: rewritten. allow 5.6, use Test::More, more stable
	* t/todomod.pl: added. interactive tool to check log.modules reports and fix TODOs
	* status_upd: recommend and fix ./status_upd -f -q -d
	  -q -d prints only the actual tests
	* Changes: added more missing history ca. 1997-2000.

1.29	2011-01-08 rurban
	improve dl_init

	* C.pm (1.29):
	use DynaLoader::bootstrap_inherit, fixes dl_init when the module has no ISA
	  DynaLoader. eg. Test::Harness with Time::HiRes
	improved CopFILE detection as context for dl_init (test 29)
	fix cop_warning cast warnings
	print debug messages for beginav and endav
	protect against undefined strings, and % in regex
	protect against undefined gvcv->GV->EGV (Spiffy)
	latefree r-magic regex strings >5.10, fixes a couple of modules
	* t/modules.pm: subset use 10 not 11 modules. run tests with -O1
	less TODO tests, esp for 5.13
	* t/modules.t: fixed binary detection on non-windows (a.out)
	* ByteLoader: fixed -Dt for GV

1.28	2010-12-31 rurban
	fixed XSLoader, pmflags, CV and most named methods for 5.14

	* Bytecode.pm (1.09):
	fixed cv_gv and push_begin del_backref problem (27, ...) > 5.13
	special cased op_pmflags: U32 needed since 5.13 (PMf_BASE_SHIFT)
	  Fixes op_pmflags since 5.12 ((3..4,27..29,31,33), esp. pp_subst
	start for Windows 5.12 cop_store_label workaround: Labels disabled for now.
	  Failed to include CORE hv.c: too large.
	  mingw	5.12 compiles now again and passes all but 21,33,42..44
	Fixed entrytry with Bytecode >= 5.12:
	  ck_eval upgrades the UNOP entertry to a LOGOP, but B gets us just a
	  B::OP (BASEOP)
	add BEGIN { push|unshift @INC } parts of blocks (test 33)
	* Byteloader (0.07):
	Support new CvSTASH_set.
	Basic op_pmflags U16/U32 support. No version conversion yet.
	BSET_gv_fetchpvn_flags: new for empty constant prototypes (fails on 64bit only)
	* C.pm: add -fno-destruct (with -O3) with a minimal perl_destruct,
	  (re-enables -fcog >= 5.10),
	add -fro-inc (with -O2) readonly INC and curpad strings,
	add -fconst-strings (with -O3) const readonly strings
	  and const more other fixed strings,
	do not boot static core packages (utf8, re, ...),
	fixed -O2/-fav-init2: store at wrong avchunk index,
	initialise CopFILE and CopSTASHPV static with ITHREADS
	improved 5.13 method_named package detection (first and pmreplroot),
	  in endav still failing (Test::Deep)
	fixed overwritten CvSTART for 5.13.x
	do not cog/const nullify vars in END blocks
	disallow CONST->op_first with CONST_BARE. fixes ExtUtils::Install
	better XSLoader::load detection: aliases and defined in END blocks
	save XSLoader::load GV (test 46 and modules)
	bootstrap also static core packages
	add ptr_undef instead of NULL initialization non-threaded
	fix many cast warnings
	fix AV fill +1
	required to run C.xs runloop to find PMOPs for QRs
	Fixed entrytry >= 5.12 as in Bytecode:
	  ck_eval upgrades the UNOP entertry to a LOGOP,
	  but B gets us just a B::OP (BASEOP)
	Fixed XSLoader, loading dynamic modules works now (test 45),
	  had to set the .pm path in the calling context.
	* CC.pm (1.08): many fixes
	use new B::C optimizations, new -DF
	fixed issue 31 also run C.xs runloop to find PMOPs for QRs,
	fixed issue 35 same variable name in different scope (Heinz Knutzen),
	fixed issue 36 panic: leaveloop, no cxstack (Heinz Knutzen)
	fixed issue 37 orassign (Heinz Knutzen)
	fixed issue 38 on and/or return value not just no/yes (Heinz Knutzen)
	fixed issue 39 Bizarre copy of ARRAY in leavesub (Heinz Knutzen)
	fixed issue 42 remove enter/leave from %no_stack (Heinz Knutzen)
	fixed issue 44 aelemfast missing for lexicals (Heinz Knutzen)
	fixed issue 47 anonsub in while (Heinz Knutzen)
	fixed issue 48 wrong truth value for array assignment in boolean
	  context (Heinz Knutzen)
	fixed issue 49 Can't "last" outside a loop block (Heinz Knutzen)
	fixed issue 51 errors on nested if statement with test on multiple variables
	   (Heinz Knutzen)
	fixed issue 52 errors on variable with numeric value used in second
	  expression of 'and' (Heinz Knutzen)
	add labels for alternate ops (e.g. run-time jumps). Not sure yet if the
	  full alternate subtrees are saved. fixes test 32 (push_label, pop_label),
	  issue 46. resolve duplicate such labels.
	honor $ENV{'PERLMODS'} (by cPanel)
	* Disassembler.pm (1.07): read over #! + use Bytecode .plc header.
	support pmflags
	* Assembler.pm (1.09): support pmflags
	* perlcc (2.09): added cc time for --time.
	same INC as in caller - omit duplicates
	* cc_harness: improve -Bstatic
	* t/testc.sh: simplified. Fixed various wrong tests
	* t/testm.sh: fixed UAC issues on Win7
	* t/test.pl: new faster test functions for the new issues
	* t/issue27.t: added (Reported by alexchorny, Apr 25, 2010)
	* t/issue29.t: added (Reported by Heinz Knutzen)
	* t/issue31.t: added (Reported by Heinz Knutzen)
	* t/issue34.t: added (Reported by Heinz Knutzen)
	* t/issue35.t: added (Reported and partially fixed by Heinz Knutzen)
	* t/issue36.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue37.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue38.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue39.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue42.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue44.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue45.t: added (Reported by Heinz Knutzen), dorassign missing
	* t/issue46.t: added (Reported by Heinz Knutzen), fixed by r610
	* t/issue47.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue48.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue49.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue50.t: added (Reported by Heinz Knutzen)
	* t/issue51.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue52.t: added (Reported and fixed by Heinz Knutzen)
	* t/issue54.t: added and fixed

1.27	2010-07-30 rurban
	Fixed 1.26 CV regressions for 5.8 and 5.10

	* C.pm: add -DF print stringified sv and op flags.
	fixed xpvio off-by-one error for 5.10 (test 29)
	rewrote XPVCV forwards for >=5.10: (fails before)
	  1. only the SV is now forwarded, not the struct.
	  2. no duplicate SVs, the CV forward is just a link to one SV (#define CVIX)
	removed wrong CVf_ANON check causing CV failures (test 9,10,12). 5.13.3 still failing
	fixed CV svsect for 5.8 and 5.10
	* Bytecode.pm (1.08): removed wrong CVf_ANON check causing CV failures (test 9,10,12,...)
	* perlcc (2.08): added --time, support vprint -1
	* t/test.pl, t/bytecode.t: double check failing tests if it works uncompiled
	* t/testc.sh: add -D- for no gcc warnings
	added -f for testing single optimizations
	* t/testm.sh: add -D<args> flags for compiler debugging and link with -g
	added -T for perlcc --time
	* t/c_argv.t, script/perlcc: properly quote spaces in path of perl and `cwd`/blib
	* t/modules.t: add svn rev to B::C::Version

1.26	2010-07-26 rurban
	Start of 5.14 support, CVs broken.

	* C.pm: improve -fav-init performance if not usemymalloc: no
	  calloc, just direct libc malloc.
	-O2 uses -fav-init2, i.e. experimental independent_comalloc(),
	  -O1 uses now -fav-init (Nick Koston + Reini Urban)
	Mark a package which is autoloaded from XS.
	Fix autoloading of constants AKA const xsubcv via AUTOLOAD [test 27] (Nick Koston)
	5.13.3 support (xpv STASH, MAGIC, ... reorganization), but CVs still failing
	Check CVf_ANON when setting cv->GV. Fixes anon subs.
	Do not call REGEXP IVX and NVX methods (since 5.11)
	* bytecode.pl: CvGv_set since 5.13.3
	Fixed byteorder 0x stripping causing wrong bget_swab on 64bit
	* B::C::Flags: new. added by Makefile.PL probing independent_comalloc()
	* CC.pm: the default -fno-slow-signals adds PERL_ASYNC_CHECK at
	  the same ops as with 5.13, a major improvement.
	* Bytecode.pm (1.07), bytecode.pl: xpvav.xiv_u was removed with 5.13.2 but not
	  used anymore. read and set av_flags only until 5.12, compile only before 5.10
	Check CVv_ANON when setting cv->GV. Fixes anon subs
	* bytecode.h: do not PM_SETRE with empty arg. fails since 5.13 debugging
	* t/testc.sh, t/TESTS: fail test 44, change threads tests 41-43 to TODO
	* perlcc (2.07), cc_harness, t/test.pl: debian specific fixes for their broken
	  -lperl linker args for ExtUtils::Embed::ldopts.
	* t/test.pl: Have complete c/cc TODO/SKIP status in one place.
	Fixed killing hangling tests with IPC::Run.
	Fixed new cc TODO.
	Run CC test 18 even not as AUTHOR
	* t/c*.t: make test 27 easier to debug (Nick Koston)
	Added test 45 (Nick Koston)

1.25	2010-04-11 rurban
	* C.pm: remove global my_perl, pass it properly around.
	* t/c*.t: added test 40 \000 byte in PV failing on ori 5.6.2 (Nick Koston),
	added more magic tests for shared vars - n,p,P magic: 39-43. 41 nyi
	* t/modules.t: fix -t (run module tests), print header only on full test
	* t/modules.pm: do not test core or deprecated modules, esp. do not download perl
	Added is_subset.
	* t/testm.sh: implement -k
	* t/testc.sh, t/TESTS: add 44 for weaken import and magic_killbackrefs #72922

1.24	2010-02-15 rurban
	* C.pm: Fixed off by one array access in magic array init (34)
	  - valgrind is your friend.
	Fixed aelemfast padsv access crash (Text::Tabs on freebsd7)
